@graemerocher graemerocher released this Apr 26, 2017 · 749 commits to master since this release

Assets 3

Release Information

Quick Links

Release Notes

Groovy 2.4.10

This release includes Groovy 2.4.10, which has been used to build the latest version of Grails and GORM. Groovy 2.4.10 should be compatible with all existing compiled code, however some source code may need to be adjusted as static compilation is more strict in Groovy 2.4.10.

Asset Pipeline Dependency

If you get a resolve error for the org.grails.plugins:asset-pipeline you should replace it with the following dependency in build.gradle:

runtime "com.bertramlabs.plugins:asset-pipeline-grails:2.14.1"

Easily Configure the version of GORM

You can now easily configure the version of GORM to use via the gormVersion setting in gradle.properties. For example to use GORM 6.1.2 simply define:

gormVersion=6.1.2

Angular Profile Changes

See this blog post on how the name of the Angular related profiles have changed.

http://grailsblog.objectcomputing.com/posts/2017/04/12/angular-profiles.html